############################################################################
#
#       Project		GP calc program using MODIFIED gpquick-2.1,
# 			using GNU/Unix/etc $Revision: 1.2 $ 
#	    
#       Author		W.B.Langdon
#
#	Created		13 Dec 1996, based upon calc.make Revision: 1.1
# 									   
#	Modifications:  
#
#	Module:         max.make
#
#	Description:          
#
#	FLAGS:     	-DTWOD?
#			-DDEBUG, if debugging messages should pop up?
#
#	Notes		ensure pch.h contain #define UNIX
#			#define MULTREE
#
############################################################################

NAME 	= GPmax
OBJS 	= gp.o  max.o  stats.o        time.o  chrome.o   primitiv.o   Primitives.o	selector.o
LIBS 	= -lg++ -lm
CC 	= gcc
COMPILE = $(CC) -c $(CFLAGS)
CFLAGS 	= -O2
#CFLAGS = -g3 -Wall -check -pg
LINK 	= $(CC) -o 
LDFLAGS =  -g


$(NAME):$(OBJS) 
	$(LINK) $(NAME) $(LDFLAGS) $(OBJS) $(LIBS)

#C++ source files

gp.o:	gp.cc pch.h chrome.h selector.h max.h primitiv.h Primitives.h time.h gp.h test.h
	$(COMPILE) gp.cc

max.o:	max.cc pch.h chrome.h selector.h max.h primitiv.h time.h Primitives.h gp.h test.h
	$(COMPILE) max.cc

stats.o:	stats.cc pch.h chrome.h selector.h max.h gp.h
	$(COMPILE) stats.cc

time.o:		time.cc pch.h chrome.h selector.h max.h time.h Primitives.h gp.h
	$(COMPILE) time.cc

chrome.o:	chrome.cxx pch.h chrome.h selector.h max.h
	$(COMPILE) chrome.cxx

primitiv.o:	primitiv.cxx pch.h chrome.h selector.h max.h time.h primitiv.h
	$(COMPILE) primitiv.cxx

Primitives.o:	Primitives.cc pch.h chrome.h selector.h max.h time.h Primitives.h gp.h
	$(COMPILE) Primitives.cc

selector.o:	selector.cxx pch.h selector.h
	$(COMPILE) selector.cxx
