############################################################################
#
#       Project		GP antprob program using MODIFIED gpquick-2.1,
# 			using UCL GNU/Unix/etc
#	    
#       Author		W.Langdon
#
#	Created		21 Nov 1995
# 									   
#	Module:         antprob.make     
#
#	Version:        $Revision: 1.3 $
#
#	Notes		ensure pch.h contain #define UNIX
#			chrome.h does not #define MULTREE, PARETO, TRACE
#
############################################################################

NAME 	= antprob
OBJS 	= antprob.o  chrome.o   primitiv.o   selector.o
LIBS 	= -lg++ -lm
CC 	= gcc
COMPILE = $(CC) -c $(CFLAGS)
CFLAGS 	= -ansi -g -Wall
#CFLAGS = -O2 -fkeep-inline-functions -ansi -g -Wall
LINK 	= $(CC) -o 
LDFLAGS =  -g -Wall
#LDFLAGS = -static


$(NAME):$(OBJS) 
	$(LINK) $(NAME) $(OBJS) $(LDFLAGS) $(LIBS)

#C++ source files

antprob.o:	antprob.cxx pch.h chrome.h antprob.h selector.h primitiv.h
	$(COMPILE) antprob.cxx

chrome.o:	chrome.cxx pch.h chrome.h antprob.h selector.h
	$(COMPILE) chrome.cxx

primitiv.o:	primitiv.cxx pch.h chrome.h antprob.h selector.h primitiv.h
	$(COMPILE) primitiv.cxx

selector.o:	selector.cxx pch.h selector.h
	$(COMPILE) selector.cxx
